
Katello - Bug #5044

Links from ack key subscriptions using product name instead of id

04/02/2014 07:19 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The links to the subscriptions on the activation key subscriptions tab are using the subscriptions name to construct the URL rather

than the id.

/katello/activation_keys#/subscriptions/PUPPET%20FORGE/info

vs

/katello/activation_keys#/subscriptions/ff80808144b76da40144b773d1a40005/info

Steps to Reproduce

1. Ensure you have at least one product/subscription

2. Go to the activation key page

3. Create an activation key if necessary

4. Go to the subscriptions add tab

5. Notice the links to the subscriptions are incorrect

Associated revisions

Revision d3151671 - 04/02/2014 05:34 PM - Walden Raines

Fixes #5044, fix link to subscriptions.

The link to subscriptions was using the name of the subscription

instead of the ID.  This resulted in a broken link.  Fixed the link

to do a search for the subscription name instead.

Revision 9d61ee70 - 04/02/2014 09:34 PM - Walden Raines

Fixes #5044, fix link to subscriptions.

The link to subscriptions was using the name of the subscription

instead of the ID.  This resulted in a broken link.  Fixed the link

to do a search for the subscription name instead.

Revision 86e1b9e7 - 04/02/2014 10:28 PM - Walden Raines

Merge pull request #3940 from waldenraines/bug-5044

Fixes #5044, fix link to subscriptions.

History

#1 - 04/02/2014 09:03 PM - Walden Raines

- Status changed from New to Ready For Testing

https://github.com/Katello/katello/pull/3940
#2 - 04/02/2014 10:52 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:9d61ee700f0f0900ac71c698a0a1251de6660e2b.

#3 - 06/06/2014 01:34 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/21/2014 02:44 PM - Eric Helms

- translation missing: en.field_release set to 13
